Puppet Enterprise 2019.8.11 is now available!

5 views
Skip to first unread message

Puppet Product Updates

unread,
May 12, 2022, 2:32:32 PMMay 12
to Puppet Enterprise Users, Puppet Users, puppet-...@googlegroups.com, Henry Wang, reports-to-cl...@puppet.com

The latest patch release for the current Long Term Support (LTS) version of Puppet Enterprise, 2019.8.11, is now available! 

 

This is a backward-compatible release that contains new features, enhancements, and resolved issues from all previous major releases. The following are a few highlights. Please refer to the release notes HERE for a complete list and full descriptions.


CAUTION: If you use the puppet_agent module to upgrade your agents, please wait to upgrade to 2019.8.11 until we release a new version of the puppet_agent module in the next few days. We've identified an issue that can cause the upgrade to fail when using this module.

 

New features in this release include:


  • Lockless code deploys are no longer experimental

  • Run plans without blocking code deployments


Enhancements in this release include:


  • Optimized some PuppetDB queries

  • Upgraded Bouncy Castle to 1.70

  • Report compilation failure results for apply blocks


This version adds support for these platforms:


Primary server

  • FIPS 140-2 compliant Red Hat Enterprise Linux 8 x86_64

  • SUSE Linux Enterprise Server 15 x86_64

  • Ubuntu (General Availability kernels) 20.04 x86_64

Agent

  • macOS 12 x86_64

 

Resolved in this release:

 

  • Code Manager didn't delete spec directories

    • Code Manager deploys failed to delete spec directories due to an issue with r10k. To fix this, we upgraded r10k to version 3.14.1.

  • LDAP connection timeout setting was ignored

    • In the console, the LDAP connect_timeout field wasn't correctly passed to the connection attempt and, as a result, the value wasn't applied in the LDAP configuration.

  • The plan that upgrades the secondary node sometimes failed

    • When running puppet infrastructure upgrade compiler or puppet infrastructure upgrade replica, the plan that upgrades the secondary node sometimes failed on the step where install.bash runs on the node to update the agent.

 

 

Check out the release notes: https://puppet.com/docs/pe/2019.8/release_notes_pe_index.html

 

Download PE 2019.8.11 here: https://puppet.com/misc/pe-files/previous-releases/2019.8.11

 

As a current Puppet Enterprise user, you can update to this new version as part of your annual subscription. When updating, you must update infrastructure components first and then update agents. For detailed instructions, see the documentation.

 


Reply all
Reply to author
Forward
0 new messages